%define major 1
%define libname %mklibname verto %{major}
%define devname %mklibname -d verto

Name:           libverto
Version:        0.2.6
Release:        %mkrel 1
Summary:        Main loop abstraction library
Group:          System/Libraries
License:        MIT
URL:            https://fedorahosted.org/libverto/
Source0:        http://fedorahosted.org/releases/l/i/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  glib2-devel
BuildRequires:  lib64event-devel
BuildRequires:  tevent-devel
BuildRequires:  ev-devel

%description
libverto provides a way for libraries to expose asynchronous interfaces
without having to choose a particular event loop, offloading this
decision to the end application which consumes the library.

%package -n %{libname}
Summary:    Libraries for %{name}
Group:      System/Libraries

%description -n %{libname}
Libraries for %{name}.

%package -n %{devname}
Summary:    Development files for %{name}
Group:      Development/Libraries
Provides:   %{name}-devel = %{version}-%{release}
Provides:   verto-devel = %{version}-%{release}
Requires:   %{libname} = %{version}-%{release}

%description -n %{devname}
Header files and development libraries for %{name}.

%package glib
Summary:    glib module for %{name}
Group:      System/Libraries

%description glib
Module for %{name} which provides integration with glib.

This package does NOT yet provide %{name}-module-base.

%package glib-devel
Summary:    Development files for %{name}-glib
Group:      Development/Libraries
Requires:   %{name}-glib = %{version}-%{release}
Requires:   %{name}-devel = %{version}-%{release}

%description glib-devel
The %{name}-glib-devel package contains libraries and header files for
developing applications that use %{name}-glib.

%package libevent
Summary:    libevent module for %{name}
Group:      System/Libraries
Provides:   %{name}-module-base = %{version}-%{release}

%description libevent
Module for %{name} which provides integration with libevent.

%package libevent-devel
Summary:    Development files for %{name}-libevent
Group:      Development/Libraries
Requires:   %{name}-libevent = %{version}-%{release}
Requires:   %{devname} = %{version}-%{release}

%description libevent-devel
The %{name}-libevent-devel package contains libraries and header files for
developing applications that use %{name}-libevent.

%package tevent
Summary:    tevent module for %{name}
Group:      System/Libraries
Provides:   %{name}-module-base = %{version}-%{release}

%description tevent
Module for %{name} which provides integration with tevent.

This package provides %{name}-module-base since it supports io, timeout
and signal.

%package tevent-devel
Summary:    Development files for %{name}-tevent
Group:      Development/Libraries
Requires:   %{name}-tevent = %{version}-%{release}
Requires:   %{devname} = %{version}-%{release}

%description tevent-devel
The %{name}-tevent-devel package contains libraries and header files for
developing applications that use %{name}-tevent.

%package libev
Summary:    libev module for %{name}
Group:      System/Libraries
Provides:   %{name}-module-base = %{version}-%{release}

%description libev
Module for %{name} which provides integration with libev.

This package provides %{name}-module-base since it supports io, timeout
and signal.

%package libev-devel
Summary:    Development files for %{name}-libev
Group:      Development/Libraries
Requires:   %{name}-libev = %{version}-%{release}
Requires:   %{devname} = %{version}-%{release}

%description libev-devel
The %{name}-libev-devel package contains libraries and header files for
developing applications that use %{name}-libev.

This package provides %{name}-module-base since it supports io, timeout
and signal.

%prep
%setup -q

%build
%configure2_5x --disable-static CFLAGS=`pkg-config --cflags libev` LIBS=`pkg-config --libs libev`
%make

%install
rm -rf %buildroot
%makeinstall_std

find %{buildroot} -name *.la | xargs rm -f

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/%{name}.so.*

%files -n %{devname}
%{_includedir}/verto.h
%{_includedir}/verto-module.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files glib
%{_libdir}/%{name}-glib.so.*

%files glib-devel
%{_includedir}/verto-glib.h
%{_libdir}/%{name}-glib.so
%{_libdir}/pkgconfig/%{name}-glib.pc

%files libevent
%{_libdir}/%{name}-libevent.so.*

%files libevent-devel
%{_includedir}/verto-libevent.h
%{_libdir}/%{name}-libevent.so
%{_libdir}/pkgconfig/%{name}-libevent.pc

%files tevent
%{_libdir}/%{name}-tevent.so.*

%files tevent-devel
%{_includedir}/verto-tevent.h
%{_libdir}/%{name}-tevent.so
%{_libdir}/pkgconfig/%{name}-tevent.pc

%files libev
%{_libdir}/%{name}-libev.so.*

%files libev-devel
%{_includedir}/verto-libev.h
%{_libdir}/%{name}-libev.so
%{_libdir}/pkgconfig/%{name}-libev.pc



%changelog
* Mon Apr 17 2017 bb2 <bb2> 0.2.6-1pclos2017
- new version
